OnlyFans API
FanslyLists

List Lists

Get all subscriber/fan lists configured on the Fansly Account.

GET
/api/fansly/{fanslyAccount}/lists
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

item_id?string

Optional. Filter to lists that contain this user/subscriber ID.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/lists?item_id=700000000000000001"
{
  "data": [
    {
      "id": "200000000000000001",
      "accountId": "800000000000000001",
      "pos": 0,
      "type": 1,
      "label": "VIPs",
      "itemCount": 8
    },
    {
      "id": "200000000000000002",
      "accountId": "800000000000000001",
      "pos": 1,
      "type": 1,
      "label": "Spenders",
      "itemCount": 14
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055790,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}